Create a setup link
curl --request POST \
--url https://lazyapp.in/v1/platform/setup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "<string>",
"expires_in_days": 45,
"max_uses": 500,
"redirect_url": "<string>",
"locale": "<string>",
"success_webhook_url": "<string>",
"failure_webhook_url": "<string>",
"template_set": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/platform/setup-links"
payload = {
"customer_id": "<string>",
"expires_in_days": 45,
"max_uses": 500,
"redirect_url": "<string>",
"locale": "<string>",
"success_webhook_url": "<string>",
"failure_webhook_url": "<string>",
"template_set": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '<string>',
expires_in_days: 45,
max_uses: 500,
redirect_url: '<string>',
locale: '<string>',
success_webhook_url: '<string>',
failure_webhook_url: '<string>',
template_set: '<string>'
})
};
fetch('https://lazyapp.in/v1/platform/setup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/platform/setup-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '<string>',
'expires_in_days' => 45,
'max_uses' => 500,
'redirect_url' => '<string>',
'locale' => '<string>',
'success_webhook_url' => '<string>',
'failure_webhook_url' => '<string>',
'template_set' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/platform/setup-links"
payload := strings.NewReader("{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/platform/setup-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/platform/setup-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"use_policy": "single",
"use_count": 123,
"max_uses": 123,
"allowed_connection_type": "new",
"redirect_url": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"usable": true,
"token": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}Platform
Create a setup link
A one-time URL your customer opens to connect their WhatsApp account via Embedded Signup. You never handle their credentials.
Required scope: customers:write
POST
/
v1
/
platform
/
setup-links
Create a setup link
curl --request POST \
--url https://lazyapp.in/v1/platform/setup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "<string>",
"expires_in_days": 45,
"max_uses": 500,
"redirect_url": "<string>",
"locale": "<string>",
"success_webhook_url": "<string>",
"failure_webhook_url": "<string>",
"template_set": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/platform/setup-links"
payload = {
"customer_id": "<string>",
"expires_in_days": 45,
"max_uses": 500,
"redirect_url": "<string>",
"locale": "<string>",
"success_webhook_url": "<string>",
"failure_webhook_url": "<string>",
"template_set": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '<string>',
expires_in_days: 45,
max_uses: 500,
redirect_url: '<string>',
locale: '<string>',
success_webhook_url: '<string>',
failure_webhook_url: '<string>',
template_set: '<string>'
})
};
fetch('https://lazyapp.in/v1/platform/setup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/platform/setup-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '<string>',
'expires_in_days' => 45,
'max_uses' => 500,
'redirect_url' => '<string>',
'locale' => '<string>',
'success_webhook_url' => '<string>',
'failure_webhook_url' => '<string>',
'template_set' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/platform/setup-links"
payload := strings.NewReader("{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/platform/setup-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/platform/setup-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"<string>\",\n \"expires_in_days\": 45,\n \"max_uses\": 500,\n \"redirect_url\": \"<string>\",\n \"locale\": \"<string>\",\n \"success_webhook_url\": \"<string>\",\n \"failure_webhook_url\": \"<string>\",\n \"template_set\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"use_policy": "single",
"use_count": 123,
"max_uses": 123,
"allowed_connection_type": "new",
"redirect_url": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"usable": true,
"token": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
Maximum string length:
255Body
application/json
Customer public id.
Required range:
1 <= x <= 90Available options:
single, multi Required range:
1 <= x <= 1000Available options:
new, reconnect, either Where to send them afterwards.
Maximum string length:
2048Maximum string length:
16Maximum string length:
2048Maximum string length:
2048Starter templates to apply when the customer connects. Valid keys from GET /v1/templates/sets.
Response
Created.
Public id, prefixed set_.
Hand this to the customer to connect WhatsApp.
Available options:
single, multi Available options:
new, reconnect, either Returned only on creation, inside url.